Deploy TemplateWizard
Closed, ResolvedPublic3 Story Points

Description

We got through the security review T198666. \o/

This task is to track the extension deployment.

  • Beta cluster wikis - 28 Aug 2018
  • testwiki + test2wiki
  • ...
Niharika created this task.Aug 22 2018, 3:18 PM
Niharika triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptAug 22 2018, 3:18 PM
Niharika renamed this task from Deploy TemplateWizard on beta cluster to Deploy TemplateWizard.Aug 27 2018, 7:45 PM
Niharika updated the task description. (Show Details)
greg added a subscriber: greg.Aug 29 2018, 10:04 PM

TemplateWizard is out on beta wikis since yesterday morning. I'll be deploying it on testwiki next Tuesday if we observe nothing is broken.

I also took some time to update the docs on how to do this after I managed to figure it out.

Change 457950 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[operations/mediawiki-config@master] Deploy TemplateWizard to test and test2 wikis

https://gerrit.wikimedia.org/r/457950

Niharika updated the task description. (Show Details)Sep 4 2018, 5:05 PM

Change 457950 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy TemplateWizard to test and test2 wikis

https://gerrit.wikimedia.org/r/457950

Mentioned in SAL (#wikimedia-operations) [2018-09-04T23:30:49Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable TemplateWizard on testwiki and test2wiki (T202545) (duration: 00m 58s)

Niharika updated the task description. (Show Details)Sep 5 2018, 1:30 PM

Mentioned in SAL (#wikimedia-operations) [2018-10-22T18:54:42Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT Deploy TemplateWizard everywhere T202545, re-try (duration: 00m 45s)

Samwilson added a subscriber: Samwilson.

570 users so far on enwiki. :)

kaldari added a subscriber: kaldari.

Should probably be mentioned in the Tech News.

TemplateWizard is enabled for me everywhere (Hungarian/English Wikipedia, Meta) but I cannot find anywhere the new icon, only VE's old one. Any idea about that what I am doing wrong? I have always wanted to test it.

@Bencemac - TemplateWizard is for the old WikiText editor, not VisualEditor. VisualEditor has it's own interface for adding templates.

@Bencemac As Ryan explained above, you will find it only on the old editor. The icon is the same as the puzzle piece icon VE uses.

Niharika closed this task as Resolved.Wed, Oct 31, 6:11 PM
Niharika moved this task from Product/QA review to Done on the Community-Tech-Sprint board.

I am a little bit disappointed because if I see right, TemplateWizard is much better and has more functions than VE's one.

I am a little bit disappointed because if I see right, TemplateWizard is much better and has more functions than VE's one.

@Bencemac Sorry about that. :( I suggest you create a ticket for it to start a discussion with the VE team and also propose it in the ongoing wishlist survey.

@Johan - Perfect! Thank you.